注册 登录  
 加关注
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

gmd20的个人空间

// 编程和生活

 
 
 

日志

 
 

升级到ubuntu 9.10导致的Eclipse3.5的按钮不正常问题  

2009-11-04 10:23:12|  分类: linux相关 |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |
ubuntu 9.10 一可以用,我马上就升级了,结果好像很多软件都不能用了。采用到 2.6.31.14版本的内核了,cisco vpn 客户端要修改以下才行。原因是内核里面的net_device 结构变了,新的内核里面把以前的net_device 操作函数移到子结构net_device_ops 里面去了。

而Linux QQ还经常不正常退出,聊着聊着就崩溃了。
连Eclipse 也不正常,有的按钮点了不起作用。再网上搜索一下,还好很多人都已经找到解决办法。因为新的系统里面采用了2.28.1 版本的gnome,GTK也不一样?  那些人说升级到还在开发当中到 Eclipse 3.6 版就可以了。 不过那毕竟是测试版,如果想继续用现在这个到话,要写一个这样shell脚本来启动eclipse :
#!/bin/bash

#升级到ubuntu 9.10之后 需要设置这个环境变量才能正确启动 eclipse
#不然 有些按钮不起作用   widebright  再网上 搜索一下  “eclipse ubuntu 9.10 GDK_NATIVE_WINDOWS”
#应该可以找到,GDK_NATIVE_WINDOWS 就是通知GTK 采用原生 X 窗体
export GDK_NATIVE_WINDOWS=1
'/home/widebright/桌面/widebright/软件安装包/Eclipse3.5/eclipse/eclipse'

exit 0

我吧以前的菜单中的快捷方式修改城像下面这样,也就可以了。
cat /usr/share/applications/Eclipse-3.5.desktop

[Desktop Entry]
Encoding=UTF-8
Name=Eclipse 3.5
Exec=/bin/bash -c "export GDK_NATIVE_WINDOWS=1 ;'/home/widebright/桌面/widebright/软件安装包/Eclipse3.5/eclipse/eclipse'"
Icon=/home/widebright/桌面/widebright/软件安装包/Eclipse3.5/eclipse/eclipse.png
Categories=Development;Java;IDE
Version=1.0
StartupNotify=true
Type=Application
Terminal=0

  评论这张
 
阅读(962)| 评论(0)
推荐 转载

历史上的今天

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2017